## abcde 1.0.1.1

=== Makefile ===
VERSION = 1.0.1.1
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin
etcdir = ${DESTDIR}/etc

all:

clean:

install:
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -m 755 -o 0 abcde $(bindir)
	$(INSTALL) -m 755 -o 0 cddb-tool $(bindir)
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 -o 0 abcde.1 $(mandir)
	$(INSTALL) -m 644 -o 0 abcde.conf $(etcdir)

tarball:
	@cd .. && tar czvf abcde_$(VERSION).orig.tar.gz \
		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1}

## abcde 2.0.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.0.1.1
+VERSION = 2.0.3
 INSTALL = /usr/bin/install -c
 
 # Installation directories

## abcde 2.1.19

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.0.3
+VERSION = 2.1.19
 INSTALL = /usr/bin/install -c
 
 # Installation directories
@@ -18,9 +18,11 @@
 	$(INSTALL) -m 755 -o 0 cddb-tool $(bindir)
 	$(INSTALL) -d -m 755 $(mandir)
 	$(INSTALL) -m 644 -o 0 abcde.1 $(mandir)
+	$(INSTALL) -m 644 -o 0 cddb-tool.1 $(mandir)
+	$(INSTALL) -d -m 755 $(etcdir)
 	$(INSTALL) -m 644 -o 0 abcde.conf $(etcdir)
 
 tarball:
 	@cd .. && tar czvf abcde_$(VERSION).orig.tar.gz \
-		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1}
+		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1}

## abcde 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.1.19
+VERSION = 2.2.0
 INSTALL = /usr/bin/install -c
 
 # Installation directories
@@ -24,5 +24,5 @@
 
 tarball:
 	@cd .. && tar czvf abcde_$(VERSION).orig.tar.gz \
-		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1}
+		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1,examples/}

## abcde 2.2.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.2.0
+VERSION = 2.2.2
 INSTALL = /usr/bin/install -c
 
 # Installation directories

## abcde 2.2.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.2.2
+VERSION = 2.2.6
 INSTALL = /usr/bin/install -c
 
 # Installation directories
@@ -24,5 +24,5 @@
 
 tarball:
 	@cd .. && tar czvf abcde_$(VERSION).orig.tar.gz \
-		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1,examples/}
+		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1,examples/,abcde.spec}

## abcde 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.2.6
+VERSION = 2.3.0
 INSTALL = /usr/bin/install -c
 
 # Installation directories
@@ -24,5 +24,5 @@
 
 tarball:
 	@cd .. && tar czvf abcde_$(VERSION).orig.tar.gz \
-		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1,examples/,abcde.spec}
+		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1,examples/}

## abcde 2.3.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.3.0
+VERSION = 2.3.3
 INSTALL = /usr/bin/install -c
 
 # Installation directories

## abcde 2.3.99.2-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.3.3
+VERSION = 2.3.99.2
 INSTALL = /usr/bin/install -c
 
 # Installation directories
@@ -24,5 +24,5 @@
 
 tarball:
 	@cd .. && tar czvf abcde_$(VERSION).orig.tar.gz \
-		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1,examples/}
+		abcde-$(VERSION)/{Makefile,COPYING,README,TODO,FAQ,abcde,abcde.1,abcde.conf,changelog,cddb-tool,cddb-tool.1,examples/,USEPIPES}

=== debian/changelog ===
abcde (2.3.99.2-1) unstable; urgency=low

  * Missing bits in the 2.3.99.1 changelog:
    - Man page: added information about -z (Debug option).
    - Corrected config file with the BATCHNORM/NOGAP split
      (Closes: #337622).
    - Uses /bin/bash for the time being... We need to get some substitution
      functions/operations for the bashisms we have: Closes: #337139.
  * Config bits with corrected typos
  * Adding musicbrainz support. First bits.
  * Reworked comparison for numerical answer when selecting a CDDB output.
  * TODO updated

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon, 12 Dec 2005 23:46:58 +0200

abcde (2.3.99.1-1) unstable; urgency=low

  * Both -z and -C unset EJECTCD to avoid ejecting the CD when a) we are
    debuging and b) we are not using the CD.
  * If we are not reading the CD, set "loud" to see all the output messages
    (that is, in most of the cases, the first encoding).
  * Added -f to force some events that otherwise would erase files from our
    current run. In the standard configuration ("OUTPUT=vorbis") the following
    actions will need a "-f" to force the last one:
      abcde -a read,encode -o ogg,flac
      abcde -a tag,move,clean
    During the second run abcde should complain that it is trying to erase the
    working directory while the it has not performed any action on the FLAC
    files, which we encoded previously.
  * Convert the old cdparanoia-audio-tracks file into a status entry to avoid
    eating files from previous rounds using an early version (Closes: #341050)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue, 29 Nov 2005 23:27:20 +0200

abcde (2.3.99-1) unstable; urgency=low

  * Added diff choice to CDDB entries ("1,4").
  * Added SHOWCDDBFIELDS to allow the user to show YEAR and GENRE in the
    parsed CDDB output.
  * Suggests mkcue, and erase old cdgrab info since sarge is out.
  * Changed cdparanoia-audio-tracks to use the status file to save the data.
  * Added the possibility of using a singletrack flac file with an embeded
    cuesheet as a source of tracks.
  * Added -z for easy and quick debug.
  * BATCH has been splitted into two options: BATCHNORM which allows, by using
    -b, to use the -a normalize in all the files at once, and NOGAP, that by
    using -g, introduces the lame's --nogap extension.
  * Added replygain using the appropiate tags with Ogg/Vorbis and Ogg/FLAC.
  * Replaygain is an action, not a flag, since it can be performed individualy
    in the chain of events.
  * debian/{rules,control}:
    - Changed the target directory from tmp to abcde, to accomodate to compat
    mode 4.
    - Bump standards to 3.6.2.1. No changes needed.
  * Added "decho" as a DEBUG output for some specific debug variables.
  * Added USEPIPES file, with information about how to add Unix pipes support.
  * Added one more checking for PIPES*_* unset variables (which means support
    is not added to abcde).
  * Added toolame as an optional MP3 encoder.
  * Added a "-u" flag to set the FreeDB/whatever-cddb-server-you-use to use
    th 6th step of the protocol and request the entries in UTF-8, which
    hopefully will add the expected UTF-8 tags and comments.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat, 22 Oct 2005 22:53:37 +0300

abcde (2.3.4-1) unstable; urgency=low

  * Some patches from Tom Spindler <dogcow () babymeat ! com>
    - Added some quoting to the md5sum checkings, since the variables could be
      null.
    - NetBSD bits to use ftp instead on anything else to fetch stuff.
  * do_playlist needs to convert the OUTPUT to the CONTAINERS to avoid ending
    with playlists pointing to .vorbis files (Closes: #326487).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat,  3 Sep 2005 16:50:07 +0300

abcde (2.3.3-1) unstable; urgency=low

  * Rips done in a single track were getting tagged as Various. Corrected.
  * Possibly eliminated some bashisms from using a variable as a variable
    (Closes: #324399). Thanks to A Costa.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 26 Aug 2005 01:36:35 +0300

abcde (2.3.2-1) unstable; urgency=low

  * Too fast... I forgot to make the tarball and change the version strings in
    several places. Fixed.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 19 Aug 2005 00:44:37 +0300

abcde (2.3.1-1) unstable; urgency=low

  * The new "I knew there were going to be bugs" upstream release!
  * MKCUE needs to be passed some $CDROM as an option, or otherwise it will
    not read the CDROM, in case is not /dev/cdrom.
  * Also, make the CUEREADER a bit more general, since we might be using other
    CUE extractors.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 18 Aug 2005 23:44:20 +0300

abcde (2.3.0-1) unstable; urgency=low

  * New upstream release!
  * Defining the tracknumber now resets the first track if given a number
    different than 1 (that is: abcde -T 1 2-10 creates songs 1 to 9).
  * Modified the FAQ to reflect the changes on Marillat's repo
    (Closes: #315724).
  * Should be "space" safe: works properly when the working directory contains
    a space (Closes: #147493).
  * Repared the CD query for the discid code. When failing to read a disc,
    actually report that there might be no disc in the drive.
  * Right now, walk over the different encoders we Depends: on in Debian and
    use the one available: if a user has a FLAC encoder, abcde will no install
    vorbis-tools, so it will fail to run out of the box (Closes: #321216)
  * Added CUE support. Still experimental...
  * Added FLAC on Ogg. Still not activated, since we cannot get comments added
    as a post-process action.
  * Applied patches from Fedora Core (Credit goes to Nils Philippsen
    <nphilipp@redhat.com>)
  * Added a post_read() function to be executed before ejecting the CD.
  * Typos reported by A Costa corrected (Closes: #311463)
  * Problem with abcde being run in a directory with files containing only
    numbers solved (Closes: #313628).


=== debian/control ===
Source: abcde
Section: sound
Priority: optional
Maintainer: Jesus Climent <jesus.climent@hispalinux.es>
Standards-Version: 3.6.2.1
Build-Depends: debhelper

Package: abcde
Architecture: all
Depends: cd-discid, wget, cdparanoia | cdda2wav, vorbis-tools (>= 1.0beta4-1) | lame | flac | bladeenc | speex 
Suggests: eject, distmp3, id3 (>= 0.12), id3v2, eyed3, normalize-audio, vorbisgain, mkcue, mp3gain, python-musicbrainz
Description: A Better CD Encoder
 A frontend program to cdparanoia, wget, cd-discid, id3, and your favorite
 Ogg/Vorbis, MP3, FLAC, Ogg/Speex and/or MPP/MP+(Musepack) encoder (defaults 
 to oggenc). Grabs an entire CD and converts each track to the specified 
 formats and then comments or ID3-tags each file, with one command.
 .
 With abcde you can encode several formats with one single command, using a 
 single CD read operation. It also allows you to read and encode while not
 on the internet, and later query a CDDB server to tag your files.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/abcde.
	$(MAKE) install DESTDIR=`pwd`/debian/abcde
	install -d `pwd`/debian/abcde/usr/share/doc/abcde/examples
	install -m 644 examples/* `pwd`/debian/abcde/usr/share/doc/abcde/examples

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## abcde 2.3.99.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.3.99.2
+VERSION = 2.3.99.5
 INSTALL = /usr/bin/install -c
 
 # Installation directories

## abcde 2.3.99.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.3.99.5
+VERSION = 2.3.99.6
 INSTALL = /usr/bin/install -c
 
 # Installation directories

## abcde 2.4.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.3.99.6
+VERSION = 2.3.99.7
 INSTALL = /usr/bin/install -c
 
 # Installation directories

## abcde 2.5.4

=== Makefile ===
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin
etcdir = ${DESTDIR}/etc

all:

clean:

install:
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -m 755 abcde $(bindir)
	$(INSTALL) -m 755 cddb-tool $(bindir)
	$(INSTALL) -m 755 abcde-musicbrainz-tool $(bindir)
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 abcde.1 $(mandir)
	$(INSTALL) -m 644 cddb-tool.1 $(mandir)
	$(INSTALL) -d -m 755 $(etcdir)
	$(INSTALL) -m 644 abcde.conf $(etcdir)

## abcde 2.7.1

=== Makefile ===
abcde_version = abcde-2.7.1
INSTALL = /usr/bin/install -c

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
sysconfdir = $(prefix)/etc
datarootdir = $(prefix)/share
docdir = $(datarootdir)/doc/$(abcde_version)
mandir = $(datarootdir)/man
DESTDIR =

all:

clean:

install:
	$(INSTALL) -d -m 755 $(DESTDIR)$(bindir)
	$(INSTALL) -m 755 abcde cddb-tool abcde-musicbrainz-tool $(DESTDIR)$(bindir)
	$(INSTALL) -d -m 755 $(DESTDIR)$(sysconfdir)
	$(INSTALL) -m 644 abcde.conf $(DESTDIR)$(sysconfdir)
	$(INSTALL) -d -m 755 $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 changelog COPYING FAQ README $(DESTDIR)$(docdir)
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 644 abcde.1 cddb-tool.1 $(DESTDIR)$(mandir)/man1

uninstall:

	-rm -v \
	$(DESTDIR)$(bindir)/abcde \
	$(DESTDIR)$(bindir)/cddb-tool \
	$(DESTDIR)$(bindir)/abcde-musicbrainz-tool \
	$(DESTDIR)$(sysconfdir)/abcde.conf \
	$(DESTDIR)$(docdir)/changelog \
	$(DESTDIR)$(docdir)/COPYING \
	$(DESTDIR)$(docdir)/FAQ \
	$(DESTDIR)$(docdir)/README \
	$(DESTDIR)$(mandir)/man1/abcde.1 \
	$(DESTDIR)$(mandir)/man1/cddb-tool.1

## abcde 2.7.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-abcde_version = abcde-2.7.1
+abcde_version = abcde-2.7.2
 INSTALL = /usr/bin/install -c
 
 prefix = /usr/local
 exec_prefix = $(prefix)
 bindir = $(exec_prefix)/bin
-sysconfdir = $(prefix)/etc
+sysconfdir = /etc
 datarootdir = $(prefix)/share
 docdir = $(datarootdir)/doc/$(abcde_version)
 mandir = $(datarootdir)/man

## abcde 2.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-abcde_version = abcde-2.7.2
+abcde_version = abcde-2.8.1
 INSTALL = /usr/bin/install -c
 
 prefix = /usr/local

## abcde 2.9.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-abcde_version = abcde-2.8.1
+abcde_version = abcde-2.9.1
 INSTALL = /usr/bin/install -c
 
 prefix = /usr/local

=== debian/changelog ===
abcde (2.9.2-1) unstable; urgency=medium

  * New upstream version with fixes since the 2.9.1 release:
    + Fix up lookup code to deal with spaces etc. in directory names
    + Cope with "stub" releases in Musicbrainz
    + Always call glyrc with LC_ALL=C. Thanks to Andreas Vögele for the
      report and the suggested fix. Closes Issue 83:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=50
    + Add a link to the CDDB data format in the abcde man page. Closes
      Issue 81: https://abcde.einval.com/bugzilla/show_bug.cgi?id=81
    + More fixups of track number padding. Thanks to John Straw for the
      patch.
  * Updates also fix various Debian bugs. Closes: #905124, #893892, #898046
  * Add a Depends on sensible-utils

 -- Steve McIntyre <93sam@debian.org>  Thu, 02 Aug 2018 23:34:06 +0800

abcde (2.9.1-1) unstable; urgency=medium

  * New upstream version with fixes since the 2.9 release:
    + Fixups in the new Musicbrainz code:
      - Cope with not finding an entry for a CD! (Closes: #892480)
      - Fix (again!) dealing with CDs with no release events

 -- Steve McIntyre <93sam@debian.org>  Fri, 09 Mar 2018 23:25:03 +0000

abcde (2.9-1) unstable; urgency=medium

  * New upstream version with various improvements and bugfixes:
    + Add some documentation for the aged CD ripper dagrab. Thanks to 
      Teika Kazura for the notification and suggested documentation. This 
      closes Issue 50: https://abcde.einval.com/bugzilla/show_bug.cgi?id=50
    + Work by Matthias Andree <matthias.andree@gmx.de> to address the issue
      where abcde fails with accented characters from CD-TEXT. The issue and
      partial fix applied here documented in Issue 53:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=53
      and also in the abcde mailing list:
      https://lists.einval.com/pipermail/abcde-users/2017-January/000232.html
    + Allow for embedding of  album art downloaded by the getalbumart function. 
      Currently this is available for flac (using metaflac), mp3 (using eyed3),
      m4a (using AtomicParsley) and WavPack aka wv (using wvtag).
      This can be invoked in 3 ways:

      1. Use the commandline '-B' option (this will also call getalbumart)
      2. Use the commandline '-a embedalbumart' option to add to list of actions
      3. Use 'embedalbumart' in the 'ACTIONS' list in ~/.abcde.conf

      Still needs more development but it is perfectly usable at the moment!
    + Use md5 rather than md5sum under macOS. Thanks to JCount for the bug
      report and also the fix. This solves Issue 59:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=59
    + Support added for encoding with Audio Interchange File Format (AIFF). 
      Thanks to Massimo Villa for the feature request. FFmpeg is required
      for the encoding, the container and suffix are 'aiff'.
    + Allow selection of either cddb or musicbrainz from the command line:
      -Q Select CDDBMETHOD from the command line. Choice is cddb or musicbrainz.
    + Command line letters are fast running out but the 'Q' option quite neatly
      stands for 'Query'!
    + Allow for embedding with do_embedalbumart() for single track encodes when
      OUTPUTFORMAT and ONETRACKOUTPUTFORMAT are different. Thanks to
	  Ashley Gittins for the bug report. This closes Issue 63:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=63
    + Experimental support for embedding albumart with ogg files. The slightly
      tortuous technique drawn from 2 sources:

      1. https://github.com/biapy/howto.biapy.com/blob/master/various/mussync-tools
      2. https://github.com/acabal/scripts/blob/master/ogg-cover-art

      Testing is strongly encouraged, perhaps the simplest way to test is with:
         abcde -o ogg -B
       Or the appropriate settings in an ~/.abcde.conf file.
    + Massive rework of CD lookup code so support multiple sources
      better. Thanks to Gabriel Rosenkoetter for his initial idea in this
      area, and to Tomasz Goliński on irc for initial inspiration on how
      this should work better.
      There are now 3 different options for CD lookup: cddb, musicbrainz and
      cdtext. They can all be listed in a comma-separated list for
      CDDBMETHOD and the code will now call all of them in the sequence
      listed. All the results will be combined into one list at the end for
      the user to select, just like would have previously worked for one
      source only. Closes Issue 42:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=42
	  Closes: #842180
    + Fix Musicbrainz ID calculation in makeids()
      Apply fix suggested by petecollins24@gmail.com; add PREGAP to
      LEADOUT to correct Musicbrainz ID calculation. Hopefully closes
      Issue 54: https://abcde.einval.com/bugzilla/show_bug.cgi?id=54
	  Closes: #892071
    + Fix abcde.mkcue() when handling the --wholedisk option. Thanks to
      Nino Burini for the patch. Closes Issue 47 and maybe also 45:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=47
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=45
    + Add more comprehensive examples for filename munging in the example
      config file. Closes Issue 49:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=49
    + Add a more better fix for the year lookup problem in
	  abcde-musicbrainz-tool
      Thanks to Tom Samstag for the patch. Closes Issue 57:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=57
    + Redirect stderr on "which" calls to clear up error noise on some
      systems. Closes Issue 56:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=56
    + Add Irix support, based on a patch by abcde@canavan.de. Closes Issue 29:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=29
    + Rework abcde-musicbrainz-tool to work with WebService::MusicBrainz 1.x
      Thanks to Nicolas Guillaumin for the patch. Closes Issue 60:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=60


=== debian/control ===
Source: abcde
Section: sound
Priority: optional
Maintainer: Steve McIntyre <93sam@debian.org>
Homepage: https://abcde.einval.com/
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 10)
Vcs-Browser: https://git.einval.com/cgi-bin/gitweb.cgi?p=abcde.git;a=summary
Vcs-Git: https://git.einval.com/git/abcde.git

Package: abcde
Architecture: all
Depends: ${misc:Depends}, cd-discid, wget, cdparanoia | icedax, vorbis-tools (>= 1.0beta4-1) | lame | flac | speex | musepack-tools | opus-tools, libmusicbrainz-discid-perl, libwebservice-musicbrainz-perl (>= 1.0.4-1.1), sensible-utils
Recommends: vorbis-tools, libdigest-sha-perl, bsd-mailx, glyrc, imagemagick
Suggests: eject, distmp3, id3 (>= 0.12), id3v2, eyed3 (<< 0.7~),
 normalize-audio, vorbisgain, mkcue, mp3gain, atomicparsley
Description: A Better CD Encoder
 frontend program to cdparanoia, wget, cd-discid, id3, and your
 favorite Ogg/Vorbis, MP3, FLAC, Ogg/Speex, M4A, Opus, WavPack,
 Monkey's Audio (ape), MPP/MP+(Musepack) and/or AIFF format encoder
 (defaults to oggenc). Grabs an entire CD and converts each track to
 the specified formats and then comments or tags each file, with
 one command.
 .
 With abcde you can encode several formats with one single command,
 using a single CD read operation. It also allows you to read and
 encode while not on the internet, and later query a CDDB or
 Musicbrainz server to lookup metadata and tag your files.

## abcde 2.9.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-abcde_version = abcde-2.9.1
+abcde_version = abcde-2.9.3
 INSTALL = /usr/bin/install -c
 
 prefix = /usr/local

=== debian/changelog ===
abcde (2.9.3-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 17:13:33 +0000

abcde (2.9.3-1) unstable; urgency=medium

  * New upstream version with fixes since the 2.9.2 release:
    + Replace non-portable sed code for generating offset list with some
      simple awk instead. Should now work on FreeBSD again.
    + Deal with bizarre cdda2wav behaviour when doing cdtext lookup - it
      writes the track information to *stdin*. Closes Issue #89:
      https://abcde.einval.com/bugzilla/show_bug.cgi?id=89
    + Add a warning in abcde.conf about mayb needing to install recode before
      using it in mungefilename()
  * Update Standards-Version

 -- Steve McIntyre <93sam@debian.org>  Tue, 05 Feb 2019 09:57:06 +0000
